package com.mortals.xhx.common.pdu.device;
import java.util.Date;
import java.util.List;
import com.mortals.framework.model.BaseEntityLong;

/**
* 设备Pdu对象
*
* @author zxfei
* @date 2022-10-26
*/

public class DevicePdu extends BaseEntityLong {
    private static final long serialVersionUID = 1L;

    /**
    * 设备名称
    */
    private String deviceName;
    /**
    * 设备编码,SN码等，默认为MAC地址
    */
    private String deviceCode;
    /**
    * 设备的MAC地址
    */
    private String deviceMac;
    /**
    * 站点Id，来源基础服务平台
    */
    private Long siteId;
    /**
    * 站点编号，来源基础服务平台
    */
    private String siteCode;
    /**
    * 站点名称
    */
    private String siteName;
    /**
    * 平台系统Id
    */
    private Long platformId;
    /**
    * 平台系统名称
    */
    private String platformName;
    /**
    * 产品Id
    */
    private Long productId;
    /**
    * 产品名称
    */
    private String productName;
    /**
    * 皮肤id
    */
    private Long skinId;
    /**
    * 皮肤名称
    */
    private String skinName;
    /**
    * 首页地址
    */
    private String homeUrl;
    /**
    * 设备生产厂商ID
    */
    private Long deviceFirmId;
    /**
    * 设备生产厂商名称
    */
    private String deviceFirmname;
    /**
    * 设备来源(0.子设备，1.网关设备，2.直连设备)
    */
    private Integer deviceSrc;
    /**
    * 数据获取方式(0.主动上报，1.被动拉取)
    */
    private Integer deviceDataSourceWay;
    /**
    * 经度
    */
    private String lon;
    /**
    * 经度
    */
    private String lati;
    /**
    * 所属楼栋
    */
    private Integer deviceInBuilding;
    /**
    * 所属楼层
    */
    private Integer deviceInFloor;
    /**
    * 保修期至
    */
    private Date defectsLiabilityPeriod;
    /**
    * 负责人
    */
    private String leadingOfficial;
    /**
    * 联系电话
    */
    private String leadingOfficialTelephone;
    /**
    * 是否接收异常短(0.否，1.是)
    */
    private Integer isReceiveMess;
    /**
    * 设备图片
    */
    private String devicePhotoPath;
    /**
    * 设备访问ip
    */
    private String ip;
    /**
    * 中心设备编码
    */
    private String centernum;
    /**
    * 端口
    */
    private String port;
    /**
    * 设备topic信息
    */
    private String deviceTopic;
    /**
    * 设备状态 (0.未激活，1.离线,2.在线)
    */
    private Integer deviceStatus;
    /**
    * 启用状态 (0.停止，1.启用)
    */
    private Integer enabled;
    /**
    * 设备授权码
    */
    private String deviceAuthCode;
    /**
    * 备注
    */
    private String deviceRemark;
    /**
    * 最近上线时间
    */
    private Date onlineTime;
    /**
    * 最近离线时间
    */
    private Date offlineTime;
    /**
    * 是否删除(0.否，1.是)
    */
    private Integer deleted;
    /**
    * 设备来源(0.旧设备，1.新设备)
    */
    private Integer source;
    /**
    * 设备SN码
    */
    private String deviceSN;

    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 设备名称 */
    private List<String> deviceNameList;

    /** 设备编码,SN码等，默认为MAC地址 */
    private List<String> deviceCodeList;

    /** 设备的MAC地址 */
    private List<String> deviceMacList;

    /** 开始 站点Id，来源基础服务平台 */
    private Long siteIdStart;

    /** 结束 站点Id，来源基础服务平台 */
    private Long siteIdEnd;

    /** 增加 站点Id，来源基础服务平台 */
    private Long siteIdIncrement;

    /** 站点Id，来源基础服务平台列表 */
    private List <Long> siteIdList;

    /** 站点编号，来源基础服务平台 */
    private List<String> siteCodeList;

    /** 站点名称 */
    private List<String> siteNameList;

    /** 开始 平台系统Id */
    private Long platformIdStart;

    /** 结束 平台系统Id */
    private Long platformIdEnd;

    /** 增加 平台系统Id */
    private Long platformIdIncrement;

    /** 平台系统Id列表 */
    private List <Long> platformIdList;

    /** 平台系统名称 */
    private List<String> platformNameList;

    /** 开始 产品Id */
    private Long productIdStart;

    /** 结束 产品Id */
    private Long productIdEnd;

    /** 增加 产品Id */
    private Long productIdIncrement;

    /** 产品Id列表 */
    private List <Long> productIdList;

    /** 产品名称 */
    private List<String> productNameList;

    /** 开始 皮肤id */
    private Long skinIdStart;

    /** 结束 皮肤id */
    private Long skinIdEnd;

    /** 增加 皮肤id */
    private Long skinIdIncrement;

    /** 皮肤id列表 */
    private List <Long> skinIdList;

    /** 皮肤名称 */
    private List<String> skinNameList;

    /** 首页地址 */
    private List<String> homeUrlList;

    /** 开始 设备生产厂商ID */
    private Long deviceFirmIdStart;

    /** 结束 设备生产厂商ID */
    private Long deviceFirmIdEnd;

    /** 增加 设备生产厂商ID */
    private Long deviceFirmIdIncrement;

    /** 设备生产厂商ID列表 */
    private List <Long> deviceFirmIdList;

    /** 设备生产厂商名称 */
    private List<String> deviceFirmnameList;

    /** 开始 设备来源(0.子设备，1.网关设备，2.直连设备) */
    private Integer deviceSrcStart;

    /** 结束 设备来源(0.子设备，1.网关设备，2.直连设备) */
    private Integer deviceSrcEnd;

    /** 增加 设备来源(0.子设备，1.网关设备，2.直连设备) */
    private Integer deviceSrcIncrement;

    /** 设备来源(0.子设备，1.网关设备，2.直连设备)列表 */
    private List <Integer> deviceSrcList;

    /** 开始 数据获取方式(0.主动上报，1.被动拉取) */
    private Integer deviceDataSourceWayStart;

    /** 结束 数据获取方式(0.主动上报，1.被动拉取) */
    private Integer deviceDataSourceWayEnd;

    /** 增加 数据获取方式(0.主动上报，1.被动拉取) */
    private Integer deviceDataSourceWayIncrement;

    /** 数据获取方式(0.主动上报，1.被动拉取)列表 */
    private List <Integer> deviceDataSourceWayList;

    /** 经度 */
    private List<String> lonList;

    /** 经度 */
    private List<String> latiList;

    /** 开始 所属楼栋 */
    private Integer deviceInBuildingStart;

    /** 结束 所属楼栋 */
    private Integer deviceInBuildingEnd;

    /** 增加 所属楼栋 */
    private Integer deviceInBuildingIncrement;

    /** 所属楼栋列表 */
    private List <Integer> deviceInBuildingList;

    /** 开始 所属楼层 */
    private Integer deviceInFloorStart;

    /** 结束 所属楼层 */
    private Integer deviceInFloorEnd;

    /** 增加 所属楼层 */
    private Integer deviceInFloorIncrement;

    /** 所属楼层列表 */
    private List <Integer> deviceInFloorList;

    /** 开始 保修期至 */
    private String defectsLiabilityPeriodStart;

    /** 结束 保修期至 */
    private String defectsLiabilityPeriodEnd;

    /** 负责人 */
    private List<String> leadingOfficialList;

    /** 联系电话 */
    private List<String> leadingOfficialTelephoneList;

    /** 开始 是否接收异常短(0.否，1.是) */
    private Integer isReceiveMessStart;

    /** 结束 是否接收异常短(0.否，1.是) */
    private Integer isReceiveMessEnd;

    /** 增加 是否接收异常短(0.否，1.是) */
    private Integer isReceiveMessIncrement;

    /** 是否接收异常短(0.否，1.是)列表 */
    private List <Integer> isReceiveMessList;

    /** 设备图片 */
    private List<String> devicePhotoPathList;

    /** 设备访问ip */
    private List<String> ipList;

    /** 中心设备编码 */
    private List<String> centernumList;

    /** 端口 */
    private List<String> portList;

    /** 设备topic信息 */
    private List<String> deviceTopicList;

    /** 开始 设备状态 (0.未激活，1.离线,2.在线) */
    private Integer deviceStatusStart;

    /** 结束 设备状态 (0.未激活，1.离线,2.在线) */
    private Integer deviceStatusEnd;

    /** 增加 设备状态 (0.未激活，1.离线,2.在线) */
    private Integer deviceStatusIncrement;

    /** 设备状态 (0.未激活，1.离线,2.在线)列表 */
    private List <Integer> deviceStatusList;

    /** 开始 启用状态 (0.停止，1.启用) */
    private Integer enabledStart;

    /** 结束 启用状态 (0.停止，1.启用) */
    private Integer enabledEnd;

    /** 增加 启用状态 (0.停止，1.启用) */
    private Integer enabledIncrement;

    /** 启用状态 (0.停止，1.启用)列表 */
    private List <Integer> enabledList;

    /** 设备授权码 */
    private List<String> deviceAuthCodeList;

    /** 备注 */
    private List<String> deviceRemarkList;

    /** 开始 最近上线时间 */
    private String onlineTimeStart;

    /** 结束 最近上线时间 */
    private String onlineTimeEnd;

    /** 开始 最近离线时间 */
    private String offlineTimeStart;

    /** 结束 最近离线时间 */
    private String offlineTimeEnd;

    /** 开始 是否删除(0.否，1.是) */
    private Integer deletedStart;

    /** 结束 是否删除(0.否，1.是) */
    private Integer deletedEnd;

    /** 增加 是否删除(0.否，1.是) */
    private Integer deletedIncrement;

    /** 是否删除(0.否，1.是)列表 */
    private List <Integer> deletedList;

    /** 开始 设备来源(0.旧设备，1.新设备) */
    private Integer sourceStart;

    /** 结束 设备来源(0.旧设备，1.新设备) */
    private Integer sourceEnd;

    /** 增加 设备来源(0.旧设备，1.新设备) */
    private Integer sourceIncrement;

    /** 设备来源(0.旧设备，1.新设备)列表 */
    private List <Integer> sourceList;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 设备SN码 */
    private List<String> deviceSNList;


    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<DevicePdu> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<DevicePdu> andConditionList;

    public DevicePdu(){}
    /**
    * 获取 设备名称
    * @return String
    */
    public String getDeviceName(){
        return deviceName;
    }
    /**
    * 设置 设备名称
    * @param deviceName
    */
    public void setDeviceName(String deviceName){
        this.deviceName = deviceName;
    }
    /**
    * 获取 设备编码,SN码等，默认为MAC地址
    * @return String
    */
    public String getDeviceCode(){
        return deviceCode;
    }
    /**
    * 设置 设备编码,SN码等，默认为MAC地址
    * @param deviceCode
    */
    public void setDeviceCode(String deviceCode){
        this.deviceCode = deviceCode;
    }
    /**
    * 获取 设备的MAC地址
    * @return String
    */
    public String getDeviceMac(){
        return deviceMac;
    }
    /**
    * 设置 设备的MAC地址
    * @param deviceMac
    */
    public void setDeviceMac(String deviceMac){
        this.deviceMac = deviceMac;
    }
    /**
    * 获取 站点Id，来源基础服务平台
    * @return Long
    */
    public Long getSiteId(){
        return siteId;
    }
    /**
    * 设置 站点Id，来源基础服务平台
    * @param siteId
    */
    public void setSiteId(Long siteId){
        this.siteId = siteId;
    }
    /**
    * 获取 站点编号，来源基础服务平台
    * @return String
    */
    public String getSiteCode(){
        return siteCode;
    }
    /**
    * 设置 站点编号，来源基础服务平台
    * @param siteCode
    */
    public void setSiteCode(String siteCode){
        this.siteCode = siteCode;
    }
    /**
    * 获取 站点名称
    * @return String
    */
    public String getSiteName(){
        return siteName;
    }
    /**
    * 设置 站点名称
    * @param siteName
    */
    public void setSiteName(String siteName){
        this.siteName = siteName;
    }
    /**
    * 获取 平台系统Id
    * @return Long
    */
    public Long getPlatformId(){
        return platformId;
    }
    /**
    * 设置 平台系统Id
    * @param platformId
    */
    public void setPlatformId(Long platformId){
        this.platformId = platformId;
    }
    /**
    * 获取 平台系统名称
    * @return String
    */
    public String getPlatformName(){
        return platformName;
    }
    /**
    * 设置 平台系统名称
    * @param platformName
    */
    public void setPlatformName(String platformName){
        this.platformName = platformName;
    }
    /**
    * 获取 产品Id
    * @return Long
    */
    public Long getProductId(){
        return productId;
    }
    /**
    * 设置 产品Id
    * @param productId
    */
    public void setProductId(Long productId){
        this.productId = productId;
    }
    /**
    * 获取 产品名称
    * @return String
    */
    public String getProductName(){
        return productName;
    }
    /**
    * 设置 产品名称
    * @param productName
    */
    public void setProductName(String productName){
        this.productName = productName;
    }
    /**
    * 获取 皮肤id
    * @return Long
    */
    public Long getSkinId(){
        return skinId;
    }
    /**
    * 设置 皮肤id
    * @param skinId
    */
    public void setSkinId(Long skinId){
        this.skinId = skinId;
    }
    /**
    * 获取 皮肤名称
    * @return String
    */
    public String getSkinName(){
        return skinName;
    }
    /**
    * 设置 皮肤名称
    * @param skinName
    */
    public void setSkinName(String skinName){
        this.skinName = skinName;
    }
    /**
    * 获取 首页地址
    * @return String
    */
    public String getHomeUrl(){
        return homeUrl;
    }
    /**
    * 设置 首页地址
    * @param homeUrl
    */
    public void setHomeUrl(String homeUrl){
        this.homeUrl = homeUrl;
    }
    /**
    * 获取 设备生产厂商ID
    * @return Long
    */
    public Long getDeviceFirmId(){
        return deviceFirmId;
    }
    /**
    * 设置 设备生产厂商ID
    * @param deviceFirmId
    */
    public void setDeviceFirmId(Long deviceFirmId){
        this.deviceFirmId = deviceFirmId;
    }
    /**
    * 获取 设备生产厂商名称
    * @return String
    */
    public String getDeviceFirmname(){
        return deviceFirmname;
    }
    /**
    * 设置 设备生产厂商名称
    * @param deviceFirmname
    */
    public void setDeviceFirmname(String deviceFirmname){
        this.deviceFirmname = deviceFirmname;
    }
    /**
    * 获取 设备来源(0.子设备，1.网关设备，2.直连设备)
    * @return Integer
    */
    public Integer getDeviceSrc(){
        return deviceSrc;
    }
    /**
    * 设置 设备来源(0.子设备，1.网关设备，2.直连设备)
    * @param deviceSrc
    */
    public void setDeviceSrc(Integer deviceSrc){
        this.deviceSrc = deviceSrc;
    }
    /**
    * 获取 数据获取方式(0.主动上报，1.被动拉取)
    * @return Integer
    */
    public Integer getDeviceDataSourceWay(){
        return deviceDataSourceWay;
    }
    /**
    * 设置 数据获取方式(0.主动上报，1.被动拉取)
    * @param deviceDataSourceWay
    */
    public void setDeviceDataSourceWay(Integer deviceDataSourceWay){
        this.deviceDataSourceWay = deviceDataSourceWay;
    }
    /**
    * 获取 经度
    * @return String
    */
    public String getLon(){
        return lon;
    }
    /**
    * 设置 经度
    * @param lon
    */
    public void setLon(String lon){
        this.lon = lon;
    }
    /**
    * 获取 经度
    * @return String
    */
    public String getLati(){
        return lati;
    }
    /**
    * 设置 经度
    * @param lati
    */
    public void setLati(String lati){
        this.lati = lati;
    }
    /**
    * 获取 所属楼栋
    * @return Integer
    */
    public Integer getDeviceInBuilding(){
        return deviceInBuilding;
    }
    /**
    * 设置 所属楼栋
    * @param deviceInBuilding
    */
    public void setDeviceInBuilding(Integer deviceInBuilding){
        this.deviceInBuilding = deviceInBuilding;
    }
    /**
    * 获取 所属楼层
    * @return Integer
    */
    public Integer getDeviceInFloor(){
        return deviceInFloor;
    }
    /**
    * 设置 所属楼层
    * @param deviceInFloor
    */
    public void setDeviceInFloor(Integer deviceInFloor){
        this.deviceInFloor = deviceInFloor;
    }
    /**
    * 获取 保修期至
    * @return Date
    */
    public Date getDefectsLiabilityPeriod(){
        return defectsLiabilityPeriod;
    }
    /**
    * 设置 保修期至
    * @param defectsLiabilityPeriod
    */
    public void setDefectsLiabilityPeriod(Date defectsLiabilityPeriod){
        this.defectsLiabilityPeriod = defectsLiabilityPeriod;
    }
    /**
    * 获取 负责人
    * @return String
    */
    public String getLeadingOfficial(){
        return leadingOfficial;
    }
    /**
    * 设置 负责人
    * @param leadingOfficial
    */
    public void setLeadingOfficial(String leadingOfficial){
        this.leadingOfficial = leadingOfficial;
    }
    /**
    * 获取 联系电话
    * @return String
    */
    public String getLeadingOfficialTelephone(){
        return leadingOfficialTelephone;
    }
    /**
    * 设置 联系电话
    * @param leadingOfficialTelephone
    */
    public void setLeadingOfficialTelephone(String leadingOfficialTelephone){
        this.leadingOfficialTelephone = leadingOfficialTelephone;
    }
    /**
    * 获取 是否接收异常短(0.否，1.是)
    * @return Integer
    */
    public Integer getIsReceiveMess(){
        return isReceiveMess;
    }
    /**
    * 设置 是否接收异常短(0.否，1.是)
    * @param isReceiveMess
    */
    public void setIsReceiveMess(Integer isReceiveMess){
        this.isReceiveMess = isReceiveMess;
    }
    /**
    * 获取 设备图片
    * @return String
    */
    public String getDevicePhotoPath(){
        return devicePhotoPath;
    }
    /**
    * 设置 设备图片
    * @param devicePhotoPath
    */
    public void setDevicePhotoPath(String devicePhotoPath){
        this.devicePhotoPath = devicePhotoPath;
    }
    /**
    * 获取 设备访问ip
    * @return String
    */
    public String getIp(){
        return ip;
    }
    /**
    * 设置 设备访问ip
    * @param ip
    */
    public void setIp(String ip){
        this.ip = ip;
    }
    /**
    * 获取 中心设备编码
    * @return String
    */
    public String getCenternum(){
        return centernum;
    }
    /**
    * 设置 中心设备编码
    * @param centernum
    */
    public void setCenternum(String centernum){
        this.centernum = centernum;
    }
    /**
    * 获取 端口
    * @return String
    */
    public String getPort(){
        return port;
    }
    /**
    * 设置 端口
    * @param port
    */
    public void setPort(String port){
        this.port = port;
    }
    /**
    * 获取 设备topic信息
    * @return String
    */
    public String getDeviceTopic(){
        return deviceTopic;
    }
    /**
    * 设置 设备topic信息
    * @param deviceTopic
    */
    public void setDeviceTopic(String deviceTopic){
        this.deviceTopic = deviceTopic;
    }
    /**
    * 获取 设备状态 (0.未激活，1.离线,2.在线)
    * @return Integer
    */
    public Integer getDeviceStatus(){
        return deviceStatus;
    }
    /**
    * 设置 设备状态 (0.未激活，1.离线,2.在线)
    * @param deviceStatus
    */
    public void setDeviceStatus(Integer deviceStatus){
        this.deviceStatus = deviceStatus;
    }
    /**
    * 获取 启用状态 (0.停止，1.启用)
    * @return Integer
    */
    public Integer getEnabled(){
        return enabled;
    }
    /**
    * 设置 启用状态 (0.停止，1.启用)
    * @param enabled
    */
    public void setEnabled(Integer enabled){
        this.enabled = enabled;
    }
    /**
    * 获取 设备授权码
    * @return String
    */
    public String getDeviceAuthCode(){
        return deviceAuthCode;
    }
    /**
    * 设置 设备授权码
    * @param deviceAuthCode
    */
    public void setDeviceAuthCode(String deviceAuthCode){
        this.deviceAuthCode = deviceAuthCode;
    }
    /**
    * 获取 备注
    * @return String
    */
    public String getDeviceRemark(){
        return deviceRemark;
    }
    /**
    * 设置 备注
    * @param deviceRemark
    */
    public void setDeviceRemark(String deviceRemark){
        this.deviceRemark = deviceRemark;
    }
    /**
    * 获取 最近上线时间
    * @return Date
    */
    public Date getOnlineTime(){
        return onlineTime;
    }
    /**
    * 设置 最近上线时间
    * @param onlineTime
    */
    public void setOnlineTime(Date onlineTime){
        this.onlineTime = onlineTime;
    }
    /**
    * 获取 最近离线时间
    * @return Date
    */
    public Date getOfflineTime(){
        return offlineTime;
    }
    /**
    * 设置 最近离线时间
    * @param offlineTime
    */
    public void setOfflineTime(Date offlineTime){
        this.offlineTime = offlineTime;
    }
    /**
    * 获取 是否删除(0.否，1.是)
    * @return Integer
    */
    public Integer getDeleted(){
        return deleted;
    }
    /**
    * 设置 是否删除(0.否，1.是)
    * @param deleted
    */
    public void setDeleted(Integer deleted){
        this.deleted = deleted;
    }
    /**
    * 获取 设备来源(0.旧设备，1.新设备)
    * @return Integer
    */
    public Integer getSource(){
        return source;
    }
    /**
    * 设置 设备来源(0.旧设备，1.新设备)
    * @param source
    */
    public void setSource(Integer source){
        this.source = source;
    }
    /**
    * 获取 设备SN码
    * @return String
    */
    public String getDeviceSN(){
        return deviceSN;
    }
    /**
    * 设置 设备SN码
    * @param deviceSN
    */
    public void setDeviceSN(String deviceSN){
        this.deviceSN = deviceSN;
    }

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 设备名称
    * @return deviceNameList
    */
    public List<String> getDeviceNameList(){
        return this.deviceNameList;
    }

    /**
    * 设置 设备名称
    * @param deviceNameList
    */
    public void setDeviceNameList(List<String> deviceNameList){
        this.deviceNameList = deviceNameList;
    }
    /**
    * 获取 设备编码,SN码等，默认为MAC地址
    * @return deviceCodeList
    */
    public List<String> getDeviceCodeList(){
        return this.deviceCodeList;
    }

    /**
    * 设置 设备编码,SN码等，默认为MAC地址
    * @param deviceCodeList
    */
    public void setDeviceCodeList(List<String> deviceCodeList){
        this.deviceCodeList = deviceCodeList;
    }
    /**
    * 获取 设备的MAC地址
    * @return deviceMacList
    */
    public List<String> getDeviceMacList(){
        return this.deviceMacList;
    }

    /**
    * 设置 设备的MAC地址
    * @param deviceMacList
    */
    public void setDeviceMacList(List<String> deviceMacList){
        this.deviceMacList = deviceMacList;
    }
    /**
    * 获取 开始 站点Id，来源基础服务平台
    * @return siteIdStart
    */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
    * 设置 开始 站点Id，来源基础服务平台
    * @param siteIdStart
    */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
    * 获取 结束 站点Id，来源基础服务平台
    * @return $siteIdEnd
    */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
    * 设置 结束 站点Id，来源基础服务平台
    * @param siteIdEnd
    */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
    * 获取 增加 站点Id，来源基础服务平台
    * @return siteIdIncrement
    */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
    * 设置 增加 站点Id，来源基础服务平台
    * @param siteIdIncrement
    */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
    * 获取 站点Id，来源基础服务平台
    * @return siteIdList
    */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
    * 设置 站点Id，来源基础服务平台
    * @param siteIdList
    */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
    * 获取 站点编号，来源基础服务平台
    * @return siteCodeList
    */
    public List<String> getSiteCodeList(){
        return this.siteCodeList;
    }

    /**
    * 设置 站点编号，来源基础服务平台
    * @param siteCodeList
    */
    public void setSiteCodeList(List<String> siteCodeList){
        this.siteCodeList = siteCodeList;
    }
    /**
    * 获取 站点名称
    * @return siteNameList
    */
    public List<String> getSiteNameList(){
        return this.siteNameList;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public void setSiteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
    }
    /**
    * 获取 开始 平台系统Id
    * @return platformIdStart
    */
    public Long getPlatformIdStart(){
        return this.platformIdStart;
    }

    /**
    * 设置 开始 平台系统Id
    * @param platformIdStart
    */
    public void setPlatformIdStart(Long platformIdStart){
        this.platformIdStart = platformIdStart;
    }

    /**
    * 获取 结束 平台系统Id
    * @return $platformIdEnd
    */
    public Long getPlatformIdEnd(){
        return this.platformIdEnd;
    }

    /**
    * 设置 结束 平台系统Id
    * @param platformIdEnd
    */
    public void setPlatformIdEnd(Long platformIdEnd){
        this.platformIdEnd = platformIdEnd;
    }

    /**
    * 获取 增加 平台系统Id
    * @return platformIdIncrement
    */
    public Long getPlatformIdIncrement(){
        return this.platformIdIncrement;
    }

    /**
    * 设置 增加 平台系统Id
    * @param platformIdIncrement
    */
    public void setPlatformIdIncrement(Long platformIdIncrement){
        this.platformIdIncrement = platformIdIncrement;
    }

    /**
    * 获取 平台系统Id
    * @return platformIdList
    */
    public List<Long> getPlatformIdList(){
        return this.platformIdList;
    }

    /**
    * 设置 平台系统Id
    * @param platformIdList
    */
    public void setPlatformIdList(List<Long> platformIdList){
        this.platformIdList = platformIdList;
    }

    /**
    * 获取 平台系统名称
    * @return platformNameList
    */
    public List<String> getPlatformNameList(){
        return this.platformNameList;
    }

    /**
    * 设置 平台系统名称
    * @param platformNameList
    */
    public void setPlatformNameList(List<String> platformNameList){
        this.platformNameList = platformNameList;
    }
    /**
    * 获取 开始 产品Id
    * @return productIdStart
    */
    public Long getProductIdStart(){
        return this.productIdStart;
    }

    /**
    * 设置 开始 产品Id
    * @param productIdStart
    */
    public void setProductIdStart(Long productIdStart){
        this.productIdStart = productIdStart;
    }

    /**
    * 获取 结束 产品Id
    * @return $productIdEnd
    */
    public Long getProductIdEnd(){
        return this.productIdEnd;
    }

    /**
    * 设置 结束 产品Id
    * @param productIdEnd
    */
    public void setProductIdEnd(Long productIdEnd){
        this.productIdEnd = productIdEnd;
    }

    /**
    * 获取 增加 产品Id
    * @return productIdIncrement
    */
    public Long getProductIdIncrement(){
        return this.productIdIncrement;
    }

    /**
    * 设置 增加 产品Id
    * @param productIdIncrement
    */
    public void setProductIdIncrement(Long productIdIncrement){
        this.productIdIncrement = productIdIncrement;
    }

    /**
    * 获取 产品Id
    * @return productIdList
    */
    public List<Long> getProductIdList(){
        return this.productIdList;
    }

    /**
    * 设置 产品Id
    * @param productIdList
    */
    public void setProductIdList(List<Long> productIdList){
        this.productIdList = productIdList;
    }

    /**
    * 获取 产品名称
    * @return productNameList
    */
    public List<String> getProductNameList(){
        return this.productNameList;
    }

    /**
    * 设置 产品名称
    * @param productNameList
    */
    public void setProductNameList(List<String> productNameList){
        this.productNameList = productNameList;
    }
    /**
    * 获取 开始 皮肤id
    * @return skinIdStart
    */
    public Long getSkinIdStart(){
        return this.skinIdStart;
    }

    /**
    * 设置 开始 皮肤id
    * @param skinIdStart
    */
    public void setSkinIdStart(Long skinIdStart){
        this.skinIdStart = skinIdStart;
    }

    /**
    * 获取 结束 皮肤id
    * @return $skinIdEnd
    */
    public Long getSkinIdEnd(){
        return this.skinIdEnd;
    }

    /**
    * 设置 结束 皮肤id
    * @param skinIdEnd
    */
    public void setSkinIdEnd(Long skinIdEnd){
        this.skinIdEnd = skinIdEnd;
    }

    /**
    * 获取 增加 皮肤id
    * @return skinIdIncrement
    */
    public Long getSkinIdIncrement(){
        return this.skinIdIncrement;
    }

    /**
    * 设置 增加 皮肤id
    * @param skinIdIncrement
    */
    public void setSkinIdIncrement(Long skinIdIncrement){
        this.skinIdIncrement = skinIdIncrement;
    }

    /**
    * 获取 皮肤id
    * @return skinIdList
    */
    public List<Long> getSkinIdList(){
        return this.skinIdList;
    }

    /**
    * 设置 皮肤id
    * @param skinIdList
    */
    public void setSkinIdList(List<Long> skinIdList){
        this.skinIdList = skinIdList;
    }

    /**
    * 获取 皮肤名称
    * @return skinNameList
    */
    public List<String> getSkinNameList(){
        return this.skinNameList;
    }

    /**
    * 设置 皮肤名称
    * @param skinNameList
    */
    public void setSkinNameList(List<String> skinNameList){
        this.skinNameList = skinNameList;
    }
    /**
    * 获取 首页地址
    * @return homeUrlList
    */
    public List<String> getHomeUrlList(){
        return this.homeUrlList;
    }

    /**
    * 设置 首页地址
    * @param homeUrlList
    */
    public void setHomeUrlList(List<String> homeUrlList){
        this.homeUrlList = homeUrlList;
    }
    /**
    * 获取 开始 设备生产厂商ID
    * @return deviceFirmIdStart
    */
    public Long getDeviceFirmIdStart(){
        return this.deviceFirmIdStart;
    }

    /**
    * 设置 开始 设备生产厂商ID
    * @param deviceFirmIdStart
    */
    public void setDeviceFirmIdStart(Long deviceFirmIdStart){
        this.deviceFirmIdStart = deviceFirmIdStart;
    }

    /**
    * 获取 结束 设备生产厂商ID
    * @return $deviceFirmIdEnd
    */
    public Long getDeviceFirmIdEnd(){
        return this.deviceFirmIdEnd;
    }

    /**
    * 设置 结束 设备生产厂商ID
    * @param deviceFirmIdEnd
    */
    public void setDeviceFirmIdEnd(Long deviceFirmIdEnd){
        this.deviceFirmIdEnd = deviceFirmIdEnd;
    }

    /**
    * 获取 增加 设备生产厂商ID
    * @return deviceFirmIdIncrement
    */
    public Long getDeviceFirmIdIncrement(){
        return this.deviceFirmIdIncrement;
    }

    /**
    * 设置 增加 设备生产厂商ID
    * @param deviceFirmIdIncrement
    */
    public void setDeviceFirmIdIncrement(Long deviceFirmIdIncrement){
        this.deviceFirmIdIncrement = deviceFirmIdIncrement;
    }

    /**
    * 获取 设备生产厂商ID
    * @return deviceFirmIdList
    */
    public List<Long> getDeviceFirmIdList(){
        return this.deviceFirmIdList;
    }

    /**
    * 设置 设备生产厂商ID
    * @param deviceFirmIdList
    */
    public void setDeviceFirmIdList(List<Long> deviceFirmIdList){
        this.deviceFirmIdList = deviceFirmIdList;
    }

    /**
    * 获取 设备生产厂商名称
    * @return deviceFirmnameList
    */
    public List<String> getDeviceFirmnameList(){
        return this.deviceFirmnameList;
    }

    /**
    * 设置 设备生产厂商名称
    * @param deviceFirmnameList
    */
    public void setDeviceFirmnameList(List<String> deviceFirmnameList){
        this.deviceFirmnameList = deviceFirmnameList;
    }
    /**
    * 获取 开始 设备来源(0.子设备，1.网关设备，2.直连设备)
    * @return deviceSrcStart
    */
    public Integer getDeviceSrcStart(){
        return this.deviceSrcStart;
    }

    /**
    * 设置 开始 设备来源(0.子设备，1.网关设备，2.直连设备)
    * @param deviceSrcStart
    */
    public void setDeviceSrcStart(Integer deviceSrcStart){
        this.deviceSrcStart = deviceSrcStart;
    }

    /**
    * 获取 结束 设备来源(0.子设备，1.网关设备，2.直连设备)
    * @return $deviceSrcEnd
    */
    public Integer getDeviceSrcEnd(){
        return this.deviceSrcEnd;
    }

    /**
    * 设置 结束 设备来源(0.子设备，1.网关设备，2.直连设备)
    * @param deviceSrcEnd
    */
    public void setDeviceSrcEnd(Integer deviceSrcEnd){
        this.deviceSrcEnd = deviceSrcEnd;
    }

    /**
    * 获取 增加 设备来源(0.子设备，1.网关设备，2.直连设备)
    * @return deviceSrcIncrement
    */
    public Integer getDeviceSrcIncrement(){
        return this.deviceSrcIncrement;
    }

    /**
    * 设置 增加 设备来源(0.子设备，1.网关设备，2.直连设备)
    * @param deviceSrcIncrement
    */
    public void setDeviceSrcIncrement(Integer deviceSrcIncrement){
        this.deviceSrcIncrement = deviceSrcIncrement;
    }

    /**
    * 获取 设备来源(0.子设备，1.网关设备，2.直连设备)
    * @return deviceSrcList
    */
    public List<Integer> getDeviceSrcList(){
        return this.deviceSrcList;
    }

    /**
    * 设置 设备来源(0.子设备，1.网关设备，2.直连设备)
    * @param deviceSrcList
    */
    public void setDeviceSrcList(List<Integer> deviceSrcList){
        this.deviceSrcList = deviceSrcList;
    }

    /**
    * 获取 开始 数据获取方式(0.主动上报，1.被动拉取)
    * @return deviceDataSourceWayStart
    */
    public Integer getDeviceDataSourceWayStart(){
        return this.deviceDataSourceWayStart;
    }

    /**
    * 设置 开始 数据获取方式(0.主动上报，1.被动拉取)
    * @param deviceDataSourceWayStart
    */
    public void setDeviceDataSourceWayStart(Integer deviceDataSourceWayStart){
        this.deviceDataSourceWayStart = deviceDataSourceWayStart;
    }

    /**
    * 获取 结束 数据获取方式(0.主动上报，1.被动拉取)
    * @return $deviceDataSourceWayEnd
    */
    public Integer getDeviceDataSourceWayEnd(){
        return this.deviceDataSourceWayEnd;
    }

    /**
    * 设置 结束 数据获取方式(0.主动上报，1.被动拉取)
    * @param deviceDataSourceWayEnd
    */
    public void setDeviceDataSourceWayEnd(Integer deviceDataSourceWayEnd){
        this.deviceDataSourceWayEnd = deviceDataSourceWayEnd;
    }

    /**
    * 获取 增加 数据获取方式(0.主动上报，1.被动拉取)
    * @return deviceDataSourceWayIncrement
    */
    public Integer getDeviceDataSourceWayIncrement(){
        return this.deviceDataSourceWayIncrement;
    }

    /**
    * 设置 增加 数据获取方式(0.主动上报，1.被动拉取)
    * @param deviceDataSourceWayIncrement
    */
    public void setDeviceDataSourceWayIncrement(Integer deviceDataSourceWayIncrement){
        this.deviceDataSourceWayIncrement = deviceDataSourceWayIncrement;
    }

    /**
    * 获取 数据获取方式(0.主动上报，1.被动拉取)
    * @return deviceDataSourceWayList
    */
    public List<Integer> getDeviceDataSourceWayList(){
        return this.deviceDataSourceWayList;
    }

    /**
    * 设置 数据获取方式(0.主动上报，1.被动拉取)
    * @param deviceDataSourceWayList
    */
    public void setDeviceDataSourceWayList(List<Integer> deviceDataSourceWayList){
        this.deviceDataSourceWayList = deviceDataSourceWayList;
    }

    /**
    * 获取 经度
    * @return lonList
    */
    public List<String> getLonList(){
        return this.lonList;
    }

    /**
    * 设置 经度
    * @param lonList
    */
    public void setLonList(List<String> lonList){
        this.lonList = lonList;
    }
    /**
    * 获取 经度
    * @return latiList
    */
    public List<String> getLatiList(){
        return this.latiList;
    }

    /**
    * 设置 经度
    * @param latiList
    */
    public void setLatiList(List<String> latiList){
        this.latiList = latiList;
    }
    /**
    * 获取 开始 所属楼栋
    * @return deviceInBuildingStart
    */
    public Integer getDeviceInBuildingStart(){
        return this.deviceInBuildingStart;
    }

    /**
    * 设置 开始 所属楼栋
    * @param deviceInBuildingStart
    */
    public void setDeviceInBuildingStart(Integer deviceInBuildingStart){
        this.deviceInBuildingStart = deviceInBuildingStart;
    }

    /**
    * 获取 结束 所属楼栋
    * @return $deviceInBuildingEnd
    */
    public Integer getDeviceInBuildingEnd(){
        return this.deviceInBuildingEnd;
    }

    /**
    * 设置 结束 所属楼栋
    * @param deviceInBuildingEnd
    */
    public void setDeviceInBuildingEnd(Integer deviceInBuildingEnd){
        this.deviceInBuildingEnd = deviceInBuildingEnd;
    }

    /**
    * 获取 增加 所属楼栋
    * @return deviceInBuildingIncrement
    */
    public Integer getDeviceInBuildingIncrement(){
        return this.deviceInBuildingIncrement;
    }

    /**
    * 设置 增加 所属楼栋
    * @param deviceInBuildingIncrement
    */
    public void setDeviceInBuildingIncrement(Integer deviceInBuildingIncrement){
        this.deviceInBuildingIncrement = deviceInBuildingIncrement;
    }

    /**
    * 获取 所属楼栋
    * @return deviceInBuildingList
    */
    public List<Integer> getDeviceInBuildingList(){
        return this.deviceInBuildingList;
    }

    /**
    * 设置 所属楼栋
    * @param deviceInBuildingList
    */
    public void setDeviceInBuildingList(List<Integer> deviceInBuildingList){
        this.deviceInBuildingList = deviceInBuildingList;
    }

    /**
    * 获取 开始 所属楼层
    * @return deviceInFloorStart
    */
    public Integer getDeviceInFloorStart(){
        return this.deviceInFloorStart;
    }

    /**
    * 设置 开始 所属楼层
    * @param deviceInFloorStart
    */
    public void setDeviceInFloorStart(Integer deviceInFloorStart){
        this.deviceInFloorStart = deviceInFloorStart;
    }

    /**
    * 获取 结束 所属楼层
    * @return $deviceInFloorEnd
    */
    public Integer getDeviceInFloorEnd(){
        return this.deviceInFloorEnd;
    }

    /**
    * 设置 结束 所属楼层
    * @param deviceInFloorEnd
    */
    public void setDeviceInFloorEnd(Integer deviceInFloorEnd){
        this.deviceInFloorEnd = deviceInFloorEnd;
    }

    /**
    * 获取 增加 所属楼层
    * @return deviceInFloorIncrement
    */
    public Integer getDeviceInFloorIncrement(){
        return this.deviceInFloorIncrement;
    }

    /**
    * 设置 增加 所属楼层
    * @param deviceInFloorIncrement
    */
    public void setDeviceInFloorIncrement(Integer deviceInFloorIncrement){
        this.deviceInFloorIncrement = deviceInFloorIncrement;
    }

    /**
    * 获取 所属楼层
    * @return deviceInFloorList
    */
    public List<Integer> getDeviceInFloorList(){
        return this.deviceInFloorList;
    }

    /**
    * 设置 所属楼层
    * @param deviceInFloorList
    */
    public void setDeviceInFloorList(List<Integer> deviceInFloorList){
        this.deviceInFloorList = deviceInFloorList;
    }

    /**
    * 获取 开始 保修期至
    * @return defectsLiabilityPeriodStart
    */
    public String getDefectsLiabilityPeriodStart(){
        return this.defectsLiabilityPeriodStart;
    }

    /**
    * 设置 开始 保修期至
    * @param defectsLiabilityPeriodStart
    */
    public void setDefectsLiabilityPeriodStart(String defectsLiabilityPeriodStart){
        this.defectsLiabilityPeriodStart = defectsLiabilityPeriodStart;
    }

    /**
    * 获取 结束 保修期至
    * @return defectsLiabilityPeriodEnd
    */
    public String getDefectsLiabilityPeriodEnd(){
        return this.defectsLiabilityPeriodEnd;
    }

    /**
    * 设置 结束 保修期至
    * @param defectsLiabilityPeriodEnd
    */
    public void setDefectsLiabilityPeriodEnd(String defectsLiabilityPeriodEnd){
        this.defectsLiabilityPeriodEnd = defectsLiabilityPeriodEnd;
    }

    /**
    * 获取 负责人
    * @return leadingOfficialList
    */
    public List<String> getLeadingOfficialList(){
        return this.leadingOfficialList;
    }

    /**
    * 设置 负责人
    * @param leadingOfficialList
    */
    public void setLeadingOfficialList(List<String> leadingOfficialList){
        this.leadingOfficialList = leadingOfficialList;
    }
    /**
    * 获取 联系电话
    * @return leadingOfficialTelephoneList
    */
    public List<String> getLeadingOfficialTelephoneList(){
        return this.leadingOfficialTelephoneList;
    }

    /**
    * 设置 联系电话
    * @param leadingOfficialTelephoneList
    */
    public void setLeadingOfficialTelephoneList(List<String> leadingOfficialTelephoneList){
        this.leadingOfficialTelephoneList = leadingOfficialTelephoneList;
    }
    /**
    * 获取 开始 是否接收异常短(0.否，1.是)
    * @return isReceiveMessStart
    */
    public Integer getIsReceiveMessStart(){
        return this.isReceiveMessStart;
    }

    /**
    * 设置 开始 是否接收异常短(0.否，1.是)
    * @param isReceiveMessStart
    */
    public void setIsReceiveMessStart(Integer isReceiveMessStart){
        this.isReceiveMessStart = isReceiveMessStart;
    }

    /**
    * 获取 结束 是否接收异常短(0.否，1.是)
    * @return $isReceiveMessEnd
    */
    public Integer getIsReceiveMessEnd(){
        return this.isReceiveMessEnd;
    }

    /**
    * 设置 结束 是否接收异常短(0.否，1.是)
    * @param isReceiveMessEnd
    */
    public void setIsReceiveMessEnd(Integer isReceiveMessEnd){
        this.isReceiveMessEnd = isReceiveMessEnd;
    }

    /**
    * 获取 增加 是否接收异常短(0.否，1.是)
    * @return isReceiveMessIncrement
    */
    public Integer getIsReceiveMessIncrement(){
        return this.isReceiveMessIncrement;
    }

    /**
    * 设置 增加 是否接收异常短(0.否，1.是)
    * @param isReceiveMessIncrement
    */
    public void setIsReceiveMessIncrement(Integer isReceiveMessIncrement){
        this.isReceiveMessIncrement = isReceiveMessIncrement;
    }

    /**
    * 获取 是否接收异常短(0.否，1.是)
    * @return isReceiveMessList
    */
    public List<Integer> getIsReceiveMessList(){
        return this.isReceiveMessList;
    }

    /**
    * 设置 是否接收异常短(0.否，1.是)
    * @param isReceiveMessList
    */
    public void setIsReceiveMessList(List<Integer> isReceiveMessList){
        this.isReceiveMessList = isReceiveMessList;
    }

    /**
    * 获取 设备图片
    * @return devicePhotoPathList
    */
    public List<String> getDevicePhotoPathList(){
        return this.devicePhotoPathList;
    }

    /**
    * 设置 设备图片
    * @param devicePhotoPathList
    */
    public void setDevicePhotoPathList(List<String> devicePhotoPathList){
        this.devicePhotoPathList = devicePhotoPathList;
    }
    /**
    * 获取 设备访问ip
    * @return ipList
    */
    public List<String> getIpList(){
        return this.ipList;
    }

    /**
    * 设置 设备访问ip
    * @param ipList
    */
    public void setIpList(List<String> ipList){
        this.ipList = ipList;
    }
    /**
    * 获取 中心设备编码
    * @return centernumList
    */
    public List<String> getCenternumList(){
        return this.centernumList;
    }

    /**
    * 设置 中心设备编码
    * @param centernumList
    */
    public void setCenternumList(List<String> centernumList){
        this.centernumList = centernumList;
    }
    /**
    * 获取 端口
    * @return portList
    */
    public List<String> getPortList(){
        return this.portList;
    }

    /**
    * 设置 端口
    * @param portList
    */
    public void setPortList(List<String> portList){
        this.portList = portList;
    }
    /**
    * 获取 设备topic信息
    * @return deviceTopicList
    */
    public List<String> getDeviceTopicList(){
        return this.deviceTopicList;
    }

    /**
    * 设置 设备topic信息
    * @param deviceTopicList
    */
    public void setDeviceTopicList(List<String> deviceTopicList){
        this.deviceTopicList = deviceTopicList;
    }
    /**
    * 获取 开始 设备状态 (0.未激活，1.离线,2.在线)
    * @return deviceStatusStart
    */
    public Integer getDeviceStatusStart(){
        return this.deviceStatusStart;
    }

    /**
    * 设置 开始 设备状态 (0.未激活，1.离线,2.在线)
    * @param deviceStatusStart
    */
    public void setDeviceStatusStart(Integer deviceStatusStart){
        this.deviceStatusStart = deviceStatusStart;
    }

    /**
    * 获取 结束 设备状态 (0.未激活，1.离线,2.在线)
    * @return $deviceStatusEnd
    */
    public Integer getDeviceStatusEnd(){
        return this.deviceStatusEnd;
    }

    /**
    * 设置 结束 设备状态 (0.未激活，1.离线,2.在线)
    * @param deviceStatusEnd
    */
    public void setDeviceStatusEnd(Integer deviceStatusEnd){
        this.deviceStatusEnd = deviceStatusEnd;
    }

    /**
    * 获取 增加 设备状态 (0.未激活，1.离线,2.在线)
    * @return deviceStatusIncrement
    */
    public Integer getDeviceStatusIncrement(){
        return this.deviceStatusIncrement;
    }

    /**
    * 设置 增加 设备状态 (0.未激活，1.离线,2.在线)
    * @param deviceStatusIncrement
    */
    public void setDeviceStatusIncrement(Integer deviceStatusIncrement){
        this.deviceStatusIncrement = deviceStatusIncrement;
    }

    /**
    * 获取 设备状态 (0.未激活，1.离线,2.在线)
    * @return deviceStatusList
    */
    public List<Integer> getDeviceStatusList(){
        return this.deviceStatusList;
    }

    /**
    * 设置 设备状态 (0.未激活，1.离线,2.在线)
    * @param deviceStatusList
    */
    public void setDeviceStatusList(List<Integer> deviceStatusList){
        this.deviceStatusList = deviceStatusList;
    }

    /**
    * 获取 开始 启用状态 (0.停止，1.启用)
    * @return enabledStart
    */
    public Integer getEnabledStart(){
        return this.enabledStart;
    }

    /**
    * 设置 开始 启用状态 (0.停止，1.启用)
    * @param enabledStart
    */
    public void setEnabledStart(Integer enabledStart){
        this.enabledStart = enabledStart;
    }

    /**
    * 获取 结束 启用状态 (0.停止，1.启用)
    * @return $enabledEnd
    */
    public Integer getEnabledEnd(){
        return this.enabledEnd;
    }

    /**
    * 设置 结束 启用状态 (0.停止，1.启用)
    * @param enabledEnd
    */
    public void setEnabledEnd(Integer enabledEnd){
        this.enabledEnd = enabledEnd;
    }

    /**
    * 获取 增加 启用状态 (0.停止，1.启用)
    * @return enabledIncrement
    */
    public Integer getEnabledIncrement(){
        return this.enabledIncrement;
    }

    /**
    * 设置 增加 启用状态 (0.停止，1.启用)
    * @param enabledIncrement
    */
    public void setEnabledIncrement(Integer enabledIncrement){
        this.enabledIncrement = enabledIncrement;
    }

    /**
    * 获取 启用状态 (0.停止，1.启用)
    * @return enabledList
    */
    public List<Integer> getEnabledList(){
        return this.enabledList;
    }

    /**
    * 设置 启用状态 (0.停止，1.启用)
    * @param enabledList
    */
    public void setEnabledList(List<Integer> enabledList){
        this.enabledList = enabledList;
    }

    /**
    * 获取 设备授权码
    * @return deviceAuthCodeList
    */
    public List<String> getDeviceAuthCodeList(){
        return this.deviceAuthCodeList;
    }

    /**
    * 设置 设备授权码
    * @param deviceAuthCodeList
    */
    public void setDeviceAuthCodeList(List<String> deviceAuthCodeList){
        this.deviceAuthCodeList = deviceAuthCodeList;
    }
    /**
    * 获取 备注
    * @return deviceRemarkList
    */
    public List<String> getDeviceRemarkList(){
        return this.deviceRemarkList;
    }

    /**
    * 设置 备注
    * @param deviceRemarkList
    */
    public void setDeviceRemarkList(List<String> deviceRemarkList){
        this.deviceRemarkList = deviceRemarkList;
    }
    /**
    * 获取 开始 最近上线时间
    * @return onlineTimeStart
    */
    public String getOnlineTimeStart(){
        return this.onlineTimeStart;
    }

    /**
    * 设置 开始 最近上线时间
    * @param onlineTimeStart
    */
    public void setOnlineTimeStart(String onlineTimeStart){
        this.onlineTimeStart = onlineTimeStart;
    }

    /**
    * 获取 结束 最近上线时间
    * @return onlineTimeEnd
    */
    public String getOnlineTimeEnd(){
        return this.onlineTimeEnd;
    }

    /**
    * 设置 结束 最近上线时间
    * @param onlineTimeEnd
    */
    public void setOnlineTimeEnd(String onlineTimeEnd){
        this.onlineTimeEnd = onlineTimeEnd;
    }

    /**
    * 获取 开始 最近离线时间
    * @return offlineTimeStart
    */
    public String getOfflineTimeStart(){
        return this.offlineTimeStart;
    }

    /**
    * 设置 开始 最近离线时间
    * @param offlineTimeStart
    */
    public void setOfflineTimeStart(String offlineTimeStart){
        this.offlineTimeStart = offlineTimeStart;
    }

    /**
    * 获取 结束 最近离线时间
    * @return offlineTimeEnd
    */
    public String getOfflineTimeEnd(){
        return this.offlineTimeEnd;
    }

    /**
    * 设置 结束 最近离线时间
    * @param offlineTimeEnd
    */
    public void setOfflineTimeEnd(String offlineTimeEnd){
        this.offlineTimeEnd = offlineTimeEnd;
    }

    /**
    * 获取 开始 是否删除(0.否，1.是)
    * @return deletedStart
    */
    public Integer getDeletedStart(){
        return this.deletedStart;
    }

    /**
    * 设置 开始 是否删除(0.否，1.是)
    * @param deletedStart
    */
    public void setDeletedStart(Integer deletedStart){
        this.deletedStart = deletedStart;
    }

    /**
    * 获取 结束 是否删除(0.否，1.是)
    * @return $deletedEnd
    */
    public Integer getDeletedEnd(){
        return this.deletedEnd;
    }

    /**
    * 设置 结束 是否删除(0.否，1.是)
    * @param deletedEnd
    */
    public void setDeletedEnd(Integer deletedEnd){
        this.deletedEnd = deletedEnd;
    }

    /**
    * 获取 增加 是否删除(0.否，1.是)
    * @return deletedIncrement
    */
    public Integer getDeletedIncrement(){
        return this.deletedIncrement;
    }

    /**
    * 设置 增加 是否删除(0.否，1.是)
    * @param deletedIncrement
    */
    public void setDeletedIncrement(Integer deletedIncrement){
        this.deletedIncrement = deletedIncrement;
    }

    /**
    * 获取 是否删除(0.否，1.是)
    * @return deletedList
    */
    public List<Integer> getDeletedList(){
        return this.deletedList;
    }

    /**
    * 设置 是否删除(0.否，1.是)
    * @param deletedList
    */
    public void setDeletedList(List<Integer> deletedList){
        this.deletedList = deletedList;
    }

    /**
    * 获取 开始 设备来源(0.旧设备，1.新设备)
    * @return sourceStart
    */
    public Integer getSourceStart(){
        return this.sourceStart;
    }

    /**
    * 设置 开始 设备来源(0.旧设备，1.新设备)
    * @param sourceStart
    */
    public void setSourceStart(Integer sourceStart){
        this.sourceStart = sourceStart;
    }

    /**
    * 获取 结束 设备来源(0.旧设备，1.新设备)
    * @return $sourceEnd
    */
    public Integer getSourceEnd(){
        return this.sourceEnd;
    }

    /**
    * 设置 结束 设备来源(0.旧设备，1.新设备)
    * @param sourceEnd
    */
    public void setSourceEnd(Integer sourceEnd){
        this.sourceEnd = sourceEnd;
    }

    /**
    * 获取 增加 设备来源(0.旧设备，1.新设备)
    * @return sourceIncrement
    */
    public Integer getSourceIncrement(){
        return this.sourceIncrement;
    }

    /**
    * 设置 增加 设备来源(0.旧设备，1.新设备)
    * @param sourceIncrement
    */
    public void setSourceIncrement(Integer sourceIncrement){
        this.sourceIncrement = sourceIncrement;
    }

    /**
    * 获取 设备来源(0.旧设备，1.新设备)
    * @return sourceList
    */
    public List<Integer> getSourceList(){
        return this.sourceList;
    }

    /**
    * 设置 设备来源(0.旧设备，1.新设备)
    * @param sourceList
    */
    public void setSourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 获取 设备SN码
    * @return deviceSNList
    */
    public List<String> getDeviceSNList(){
        return this.deviceSNList;
    }

    /**
    * 设置 设备SN码
    * @param deviceSNList
    */
    public void setDeviceSNList(List<String> deviceSNList){
        this.deviceSNList = deviceSNList;
    }
    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public DevicePdu id(Long id){
	    setId(id);
		return this;
    }

	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public DevicePdu idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public DevicePdu idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public DevicePdu idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public DevicePdu idList(List<Long> idList){
        this.idList = idList;
		return this;
        }


	/**
    * 设置 设备名称
    * @param deviceName
    */
    public DevicePdu deviceName(String deviceName){
        setDeviceName(deviceName);
		return this;
    }

    /**
    * 设置 设备名称
    * @param deviceNameList
    */
    public DevicePdu deviceNameList(List<String> deviceNameList){
        this.deviceNameList = deviceNameList;
		return this;
    }


	/**
    * 设置 设备编码,SN码等，默认为MAC地址
    * @param deviceCode
    */
    public DevicePdu deviceCode(String deviceCode){
        setDeviceCode(deviceCode);
		return this;
    }

    /**
    * 设置 设备编码,SN码等，默认为MAC地址
    * @param deviceCodeList
    */
    public DevicePdu deviceCodeList(List<String> deviceCodeList){
        this.deviceCodeList = deviceCodeList;
		return this;
    }


	/**
    * 设置 设备的MAC地址
    * @param deviceMac
    */
    public DevicePdu deviceMac(String deviceMac){
        setDeviceMac(deviceMac);
		return this;
    }

    /**
    * 设置 设备的MAC地址
    * @param deviceMacList
    */
    public DevicePdu deviceMacList(List<String> deviceMacList){
        this.deviceMacList = deviceMacList;
		return this;
    }

    /**
    * 设置  站点Id，来源基础服务平台
    * @param siteId
    */
    public DevicePdu siteId(Long siteId){
	    setSiteId(siteId);
		return this;
    }

	 /**
    * 设置 开始 站点Id，来源基础服务平台
    * @param siteIdStart
    */
    public DevicePdu siteIdStart(Long siteIdStart){
		this.siteIdStart = siteIdStart;
		return this;
    }

    /**
    * 设置 结束 站点Id，来源基础服务平台
    * @param siteIdEnd
    */
    public DevicePdu siteIdEnd(Long siteIdEnd){
		this.siteIdEnd = siteIdEnd;
		return this;
    }

    /**
    * 设置 增加 站点Id，来源基础服务平台
    * @param siteIdIncrement
    */
    public DevicePdu siteIdIncrement(Long siteIdIncrement){
		this.siteIdIncrement = siteIdIncrement;
		return this;
    }

    /**
    * 设置 站点Id，来源基础服务平台
    * @param siteIdList
    */
    public DevicePdu siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
		return this;
        }


	/**
    * 设置 站点编号，来源基础服务平台
    * @param siteCode
    */
    public DevicePdu siteCode(String siteCode){
        setSiteCode(siteCode);
		return this;
    }

    /**
    * 设置 站点编号，来源基础服务平台
    * @param siteCodeList
    */
    public DevicePdu siteCodeList(List<String> siteCodeList){
        this.siteCodeList = siteCodeList;
		return this;
    }


	/**
    * 设置 站点名称
    * @param siteName
    */
    public DevicePdu siteName(String siteName){
        setSiteName(siteName);
		return this;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public DevicePdu siteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
		return this;
    }

    /**
    * 设置  平台系统Id
    * @param platformId
    */
    public DevicePdu platformId(Long platformId){
	    setPlatformId(platformId);
		return this;
    }

	 /**
    * 设置 开始 平台系统Id
    * @param platformIdStart
    */
    public DevicePdu platformIdStart(Long platformIdStart){
		this.platformIdStart = platformIdStart;
		return this;
    }

    /**
    * 设置 结束 平台系统Id
    * @param platformIdEnd
    */
    public DevicePdu platformIdEnd(Long platformIdEnd){
		this.platformIdEnd = platformIdEnd;
		return this;
    }

    /**
    * 设置 增加 平台系统Id
    * @param platformIdIncrement
    */
    public DevicePdu platformIdIncrement(Long platformIdIncrement){
		this.platformIdIncrement = platformIdIncrement;
		return this;
    }

    /**
    * 设置 平台系统Id
    * @param platformIdList
    */
    public DevicePdu platformIdList(List<Long> platformIdList){
        this.platformIdList = platformIdList;
		return this;
        }


	/**
    * 设置 平台系统名称
    * @param platformName
    */
    public DevicePdu platformName(String platformName){
        setPlatformName(platformName);
		return this;
    }

    /**
    * 设置 平台系统名称
    * @param platformNameList
    */
    public DevicePdu platformNameList(List<String> platformNameList){
        this.platformNameList = platformNameList;
		return this;
    }

    /**
    * 设置  产品Id
    * @param productId
    */
    public DevicePdu productId(Long productId){
	    setProductId(productId);
		return this;
    }

	 /**
    * 设置 开始 产品Id
    * @param productIdStart
    */
    public DevicePdu productIdStart(Long productIdStart){
		this.productIdStart = productIdStart;
		return this;
    }

    /**
    * 设置 结束 产品Id
    * @param productIdEnd
    */
    public DevicePdu productIdEnd(Long productIdEnd){
		this.productIdEnd = productIdEnd;
		return this;
    }

    /**
    * 设置 增加 产品Id
    * @param productIdIncrement
    */
    public DevicePdu productIdIncrement(Long productIdIncrement){
		this.productIdIncrement = productIdIncrement;
		return this;
    }

    /**
    * 设置 产品Id
    * @param productIdList
    */
    public DevicePdu productIdList(List<Long> productIdList){
        this.productIdList = productIdList;
		return this;
        }


	/**
    * 设置 产品名称
    * @param productName
    */
    public DevicePdu productName(String productName){
        setProductName(productName);
		return this;
    }

    /**
    * 设置 产品名称
    * @param productNameList
    */
    public DevicePdu productNameList(List<String> productNameList){
        this.productNameList = productNameList;
		return this;
    }

    /**
    * 设置  皮肤id
    * @param skinId
    */
    public DevicePdu skinId(Long skinId){
	    setSkinId(skinId);
		return this;
    }

	 /**
    * 设置 开始 皮肤id
    * @param skinIdStart
    */
    public DevicePdu skinIdStart(Long skinIdStart){
		this.skinIdStart = skinIdStart;
		return this;
    }

    /**
    * 设置 结束 皮肤id
    * @param skinIdEnd
    */
    public DevicePdu skinIdEnd(Long skinIdEnd){
		this.skinIdEnd = skinIdEnd;
		return this;
    }

    /**
    * 设置 增加 皮肤id
    * @param skinIdIncrement
    */
    public DevicePdu skinIdIncrement(Long skinIdIncrement){
		this.skinIdIncrement = skinIdIncrement;
		return this;
    }

    /**
    * 设置 皮肤id
    * @param skinIdList
    */
    public DevicePdu skinIdList(List<Long> skinIdList){
        this.skinIdList = skinIdList;
		return this;
        }


	/**
    * 设置 皮肤名称
    * @param skinName
    */
    public DevicePdu skinName(String skinName){
        setSkinName(skinName);
		return this;
    }

    /**
    * 设置 皮肤名称
    * @param skinNameList
    */
    public DevicePdu skinNameList(List<String> skinNameList){
        this.skinNameList = skinNameList;
		return this;
    }


	/**
    * 设置 首页地址
    * @param homeUrl
    */
    public DevicePdu homeUrl(String homeUrl){
        setHomeUrl(homeUrl);
		return this;
    }

    /**
    * 设置 首页地址
    * @param homeUrlList
    */
    public DevicePdu homeUrlList(List<String> homeUrlList){
        this.homeUrlList = homeUrlList;
		return this;
    }

    /**
    * 设置  设备生产厂商ID
    * @param deviceFirmId
    */
    public DevicePdu deviceFirmId(Long deviceFirmId){
	    setDeviceFirmId(deviceFirmId);
		return this;
    }

	 /**
    * 设置 开始 设备生产厂商ID
    * @param deviceFirmIdStart
    */
    public DevicePdu deviceFirmIdStart(Long deviceFirmIdStart){
		this.deviceFirmIdStart = deviceFirmIdStart;
		return this;
    }

    /**
    * 设置 结束 设备生产厂商ID
    * @param deviceFirmIdEnd
    */
    public DevicePdu deviceFirmIdEnd(Long deviceFirmIdEnd){
		this.deviceFirmIdEnd = deviceFirmIdEnd;
		return this;
    }

    /**
    * 设置 增加 设备生产厂商ID
    * @param deviceFirmIdIncrement
    */
    public DevicePdu deviceFirmIdIncrement(Long deviceFirmIdIncrement){
		this.deviceFirmIdIncrement = deviceFirmIdIncrement;
		return this;
    }

    /**
    * 设置 设备生产厂商ID
    * @param deviceFirmIdList
    */
    public DevicePdu deviceFirmIdList(List<Long> deviceFirmIdList){
        this.deviceFirmIdList = deviceFirmIdList;
		return this;
        }


	/**
    * 设置 设备生产厂商名称
    * @param deviceFirmname
    */
    public DevicePdu deviceFirmname(String deviceFirmname){
        setDeviceFirmname(deviceFirmname);
		return this;
    }

    /**
    * 设置 设备生产厂商名称
    * @param deviceFirmnameList
    */
    public DevicePdu deviceFirmnameList(List<String> deviceFirmnameList){
        this.deviceFirmnameList = deviceFirmnameList;
		return this;
    }

    /**
    * 设置  设备来源(0.子设备，1.网关设备，2.直连设备)
    * @param deviceSrc
    */
    public DevicePdu deviceSrc(Integer deviceSrc){
	    setDeviceSrc(deviceSrc);
		return this;
    }

	 /**
    * 设置 开始 设备来源(0.子设备，1.网关设备，2.直连设备)
    * @param deviceSrcStart
    */
    public DevicePdu deviceSrcStart(Integer deviceSrcStart){
		this.deviceSrcStart = deviceSrcStart;
		return this;
    }

    /**
    * 设置 结束 设备来源(0.子设备，1.网关设备，2.直连设备)
    * @param deviceSrcEnd
    */
    public DevicePdu deviceSrcEnd(Integer deviceSrcEnd){
		this.deviceSrcEnd = deviceSrcEnd;
		return this;
    }

    /**
    * 设置 增加 设备来源(0.子设备，1.网关设备，2.直连设备)
    * @param deviceSrcIncrement
    */
    public DevicePdu deviceSrcIncrement(Integer deviceSrcIncrement){
		this.deviceSrcIncrement = deviceSrcIncrement;
		return this;
    }

    /**
    * 设置 设备来源(0.子设备，1.网关设备，2.直连设备)
    * @param deviceSrcList
    */
    public DevicePdu deviceSrcList(List<Integer> deviceSrcList){
        this.deviceSrcList = deviceSrcList;
		return this;
        }

    /**
    * 设置  数据获取方式(0.主动上报，1.被动拉取)
    * @param deviceDataSourceWay
    */
    public DevicePdu deviceDataSourceWay(Integer deviceDataSourceWay){
	    setDeviceDataSourceWay(deviceDataSourceWay);
		return this;
    }

	 /**
    * 设置 开始 数据获取方式(0.主动上报，1.被动拉取)
    * @param deviceDataSourceWayStart
    */
    public DevicePdu deviceDataSourceWayStart(Integer deviceDataSourceWayStart){
		this.deviceDataSourceWayStart = deviceDataSourceWayStart;
		return this;
    }

    /**
    * 设置 结束 数据获取方式(0.主动上报，1.被动拉取)
    * @param deviceDataSourceWayEnd
    */
    public DevicePdu deviceDataSourceWayEnd(Integer deviceDataSourceWayEnd){
		this.deviceDataSourceWayEnd = deviceDataSourceWayEnd;
		return this;
    }

    /**
    * 设置 增加 数据获取方式(0.主动上报，1.被动拉取)
    * @param deviceDataSourceWayIncrement
    */
    public DevicePdu deviceDataSourceWayIncrement(Integer deviceDataSourceWayIncrement){
		this.deviceDataSourceWayIncrement = deviceDataSourceWayIncrement;
		return this;
    }

    /**
    * 设置 数据获取方式(0.主动上报，1.被动拉取)
    * @param deviceDataSourceWayList
    */
    public DevicePdu deviceDataSourceWayList(List<Integer> deviceDataSourceWayList){
        this.deviceDataSourceWayList = deviceDataSourceWayList;
		return this;
        }


	/**
    * 设置 经度
    * @param lon
    */
    public DevicePdu lon(String lon){
        setLon(lon);
		return this;
    }

    /**
    * 设置 经度
    * @param lonList
    */
    public DevicePdu lonList(List<String> lonList){
        this.lonList = lonList;
		return this;
    }


	/**
    * 设置 经度
    * @param lati
    */
    public DevicePdu lati(String lati){
        setLati(lati);
		return this;
    }

    /**
    * 设置 经度
    * @param latiList
    */
    public DevicePdu latiList(List<String> latiList){
        this.latiList = latiList;
		return this;
    }

    /**
    * 设置  所属楼栋
    * @param deviceInBuilding
    */
    public DevicePdu deviceInBuilding(Integer deviceInBuilding){
	    setDeviceInBuilding(deviceInBuilding);
		return this;
    }

	 /**
    * 设置 开始 所属楼栋
    * @param deviceInBuildingStart
    */
    public DevicePdu deviceInBuildingStart(Integer deviceInBuildingStart){
		this.deviceInBuildingStart = deviceInBuildingStart;
		return this;
    }

    /**
    * 设置 结束 所属楼栋
    * @param deviceInBuildingEnd
    */
    public DevicePdu deviceInBuildingEnd(Integer deviceInBuildingEnd){
		this.deviceInBuildingEnd = deviceInBuildingEnd;
		return this;
    }

    /**
    * 设置 增加 所属楼栋
    * @param deviceInBuildingIncrement
    */
    public DevicePdu deviceInBuildingIncrement(Integer deviceInBuildingIncrement){
		this.deviceInBuildingIncrement = deviceInBuildingIncrement;
		return this;
    }

    /**
    * 设置 所属楼栋
    * @param deviceInBuildingList
    */
    public DevicePdu deviceInBuildingList(List<Integer> deviceInBuildingList){
        this.deviceInBuildingList = deviceInBuildingList;
		return this;
        }

    /**
    * 设置  所属楼层
    * @param deviceInFloor
    */
    public DevicePdu deviceInFloor(Integer deviceInFloor){
	    setDeviceInFloor(deviceInFloor);
		return this;
    }

	 /**
    * 设置 开始 所属楼层
    * @param deviceInFloorStart
    */
    public DevicePdu deviceInFloorStart(Integer deviceInFloorStart){
		this.deviceInFloorStart = deviceInFloorStart;
		return this;
    }

    /**
    * 设置 结束 所属楼层
    * @param deviceInFloorEnd
    */
    public DevicePdu deviceInFloorEnd(Integer deviceInFloorEnd){
		this.deviceInFloorEnd = deviceInFloorEnd;
		return this;
    }

    /**
    * 设置 增加 所属楼层
    * @param deviceInFloorIncrement
    */
    public DevicePdu deviceInFloorIncrement(Integer deviceInFloorIncrement){
		this.deviceInFloorIncrement = deviceInFloorIncrement;
		return this;
    }

    /**
    * 设置 所属楼层
    * @param deviceInFloorList
    */
    public DevicePdu deviceInFloorList(List<Integer> deviceInFloorList){
        this.deviceInFloorList = deviceInFloorList;
		return this;
        }



	/**
    * 设置 负责人
    * @param leadingOfficial
    */
    public DevicePdu leadingOfficial(String leadingOfficial){
        setLeadingOfficial(leadingOfficial);
		return this;
    }

    /**
    * 设置 负责人
    * @param leadingOfficialList
    */
    public DevicePdu leadingOfficialList(List<String> leadingOfficialList){
        this.leadingOfficialList = leadingOfficialList;
		return this;
    }


	/**
    * 设置 联系电话
    * @param leadingOfficialTelephone
    */
    public DevicePdu leadingOfficialTelephone(String leadingOfficialTelephone){
        setLeadingOfficialTelephone(leadingOfficialTelephone);
		return this;
    }

    /**
    * 设置 联系电话
    * @param leadingOfficialTelephoneList
    */
    public DevicePdu leadingOfficialTelephoneList(List<String> leadingOfficialTelephoneList){
        this.leadingOfficialTelephoneList = leadingOfficialTelephoneList;
		return this;
    }

    /**
    * 设置  是否接收异常短(0.否，1.是)
    * @param isReceiveMess
    */
    public DevicePdu isReceiveMess(Integer isReceiveMess){
	    setIsReceiveMess(isReceiveMess);
		return this;
    }

	 /**
    * 设置 开始 是否接收异常短(0.否，1.是)
    * @param isReceiveMessStart
    */
    public DevicePdu isReceiveMessStart(Integer isReceiveMessStart){
		this.isReceiveMessStart = isReceiveMessStart;
		return this;
    }

    /**
    * 设置 结束 是否接收异常短(0.否，1.是)
    * @param isReceiveMessEnd
    */
    public DevicePdu isReceiveMessEnd(Integer isReceiveMessEnd){
		this.isReceiveMessEnd = isReceiveMessEnd;
		return this;
    }

    /**
    * 设置 增加 是否接收异常短(0.否，1.是)
    * @param isReceiveMessIncrement
    */
    public DevicePdu isReceiveMessIncrement(Integer isReceiveMessIncrement){
		this.isReceiveMessIncrement = isReceiveMessIncrement;
		return this;
    }

    /**
    * 设置 是否接收异常短(0.否，1.是)
    * @param isReceiveMessList
    */
    public DevicePdu isReceiveMessList(List<Integer> isReceiveMessList){
        this.isReceiveMessList = isReceiveMessList;
		return this;
        }


	/**
    * 设置 设备图片
    * @param devicePhotoPath
    */
    public DevicePdu devicePhotoPath(String devicePhotoPath){
        setDevicePhotoPath(devicePhotoPath);
		return this;
    }

    /**
    * 设置 设备图片
    * @param devicePhotoPathList
    */
    public DevicePdu devicePhotoPathList(List<String> devicePhotoPathList){
        this.devicePhotoPathList = devicePhotoPathList;
		return this;
    }


	/**
    * 设置 设备访问ip
    * @param ip
    */
    public DevicePdu ip(String ip){
        setIp(ip);
		return this;
    }

    /**
    * 设置 设备访问ip
    * @param ipList
    */
    public DevicePdu ipList(List<String> ipList){
        this.ipList = ipList;
		return this;
    }


	/**
    * 设置 中心设备编码
    * @param centernum
    */
    public DevicePdu centernum(String centernum){
        setCenternum(centernum);
		return this;
    }

    /**
    * 设置 中心设备编码
    * @param centernumList
    */
    public DevicePdu centernumList(List<String> centernumList){
        this.centernumList = centernumList;
		return this;
    }


	/**
    * 设置 端口
    * @param port
    */
    public DevicePdu port(String port){
        setPort(port);
		return this;
    }

    /**
    * 设置 端口
    * @param portList
    */
    public DevicePdu portList(List<String> portList){
        this.portList = portList;
		return this;
    }


	/**
    * 设置 设备topic信息
    * @param deviceTopic
    */
    public DevicePdu deviceTopic(String deviceTopic){
        setDeviceTopic(deviceTopic);
		return this;
    }

    /**
    * 设置 设备topic信息
    * @param deviceTopicList
    */
    public DevicePdu deviceTopicList(List<String> deviceTopicList){
        this.deviceTopicList = deviceTopicList;
		return this;
    }

    /**
    * 设置  设备状态 (0.未激活，1.离线,2.在线)
    * @param deviceStatus
    */
    public DevicePdu deviceStatus(Integer deviceStatus){
	    setDeviceStatus(deviceStatus);
		return this;
    }

	 /**
    * 设置 开始 设备状态 (0.未激活，1.离线,2.在线)
    * @param deviceStatusStart
    */
    public DevicePdu deviceStatusStart(Integer deviceStatusStart){
		this.deviceStatusStart = deviceStatusStart;
		return this;
    }

    /**
    * 设置 结束 设备状态 (0.未激活，1.离线,2.在线)
    * @param deviceStatusEnd
    */
    public DevicePdu deviceStatusEnd(Integer deviceStatusEnd){
		this.deviceStatusEnd = deviceStatusEnd;
		return this;
    }

    /**
    * 设置 增加 设备状态 (0.未激活，1.离线,2.在线)
    * @param deviceStatusIncrement
    */
    public DevicePdu deviceStatusIncrement(Integer deviceStatusIncrement){
		this.deviceStatusIncrement = deviceStatusIncrement;
		return this;
    }

    /**
    * 设置 设备状态 (0.未激活，1.离线,2.在线)
    * @param deviceStatusList
    */
    public DevicePdu deviceStatusList(List<Integer> deviceStatusList){
        this.deviceStatusList = deviceStatusList;
		return this;
        }

    /**
    * 设置  启用状态 (0.停止，1.启用)
    * @param enabled
    */
    public DevicePdu enabled(Integer enabled){
	    setEnabled(enabled);
		return this;
    }

	 /**
    * 设置 开始 启用状态 (0.停止，1.启用)
    * @param enabledStart
    */
    public DevicePdu enabledStart(Integer enabledStart){
		this.enabledStart = enabledStart;
		return this;
    }

    /**
    * 设置 结束 启用状态 (0.停止，1.启用)
    * @param enabledEnd
    */
    public DevicePdu enabledEnd(Integer enabledEnd){
		this.enabledEnd = enabledEnd;
		return this;
    }

    /**
    * 设置 增加 启用状态 (0.停止，1.启用)
    * @param enabledIncrement
    */
    public DevicePdu enabledIncrement(Integer enabledIncrement){
		this.enabledIncrement = enabledIncrement;
		return this;
    }

    /**
    * 设置 启用状态 (0.停止，1.启用)
    * @param enabledList
    */
    public DevicePdu enabledList(List<Integer> enabledList){
        this.enabledList = enabledList;
		return this;
        }


	/**
    * 设置 设备授权码
    * @param deviceAuthCode
    */
    public DevicePdu deviceAuthCode(String deviceAuthCode){
        setDeviceAuthCode(deviceAuthCode);
		return this;
    }

    /**
    * 设置 设备授权码
    * @param deviceAuthCodeList
    */
    public DevicePdu deviceAuthCodeList(List<String> deviceAuthCodeList){
        this.deviceAuthCodeList = deviceAuthCodeList;
		return this;
    }


	/**
    * 设置 备注
    * @param deviceRemark
    */
    public DevicePdu deviceRemark(String deviceRemark){
        setDeviceRemark(deviceRemark);
		return this;
    }

    /**
    * 设置 备注
    * @param deviceRemarkList
    */
    public DevicePdu deviceRemarkList(List<String> deviceRemarkList){
        this.deviceRemarkList = deviceRemarkList;
		return this;
    }



    /**
    * 设置  是否删除(0.否，1.是)
    * @param deleted
    */
    public DevicePdu deleted(Integer deleted){
	    setDeleted(deleted);
		return this;
    }

	 /**
    * 设置 开始 是否删除(0.否，1.是)
    * @param deletedStart
    */
    public DevicePdu deletedStart(Integer deletedStart){
		this.deletedStart = deletedStart;
		return this;
    }

    /**
    * 设置 结束 是否删除(0.否，1.是)
    * @param deletedEnd
    */
    public DevicePdu deletedEnd(Integer deletedEnd){
		this.deletedEnd = deletedEnd;
		return this;
    }

    /**
    * 设置 增加 是否删除(0.否，1.是)
    * @param deletedIncrement
    */
    public DevicePdu deletedIncrement(Integer deletedIncrement){
		this.deletedIncrement = deletedIncrement;
		return this;
    }

    /**
    * 设置 是否删除(0.否，1.是)
    * @param deletedList
    */
    public DevicePdu deletedList(List<Integer> deletedList){
        this.deletedList = deletedList;
		return this;
        }

    /**
    * 设置  设备来源(0.旧设备，1.新设备)
    * @param source
    */
    public DevicePdu source(Integer source){
	    setSource(source);
		return this;
    }

	 /**
    * 设置 开始 设备来源(0.旧设备，1.新设备)
    * @param sourceStart
    */
    public DevicePdu sourceStart(Integer sourceStart){
		this.sourceStart = sourceStart;
		return this;
    }

    /**
    * 设置 结束 设备来源(0.旧设备，1.新设备)
    * @param sourceEnd
    */
    public DevicePdu sourceEnd(Integer sourceEnd){
		this.sourceEnd = sourceEnd;
		return this;
    }

    /**
    * 设置 增加 设备来源(0.旧设备，1.新设备)
    * @param sourceIncrement
    */
    public DevicePdu sourceIncrement(Integer sourceIncrement){
		this.sourceIncrement = sourceIncrement;
		return this;
    }

    /**
    * 设置 设备来源(0.旧设备，1.新设备)
    * @param sourceList
    */
    public DevicePdu sourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
		return this;
        }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public DevicePdu createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }

	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public DevicePdu createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public DevicePdu createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public DevicePdu createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public DevicePdu createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public DevicePdu updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }

	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public DevicePdu updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public DevicePdu updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public DevicePdu updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public DevicePdu updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }



	/**
    * 设置 设备SN码
    * @param deviceSN
    */
    public DevicePdu deviceSN(String deviceSN){
        setDeviceSN(deviceSN);
		return this;
    }

    /**
    * 设置 设备SN码
    * @param deviceSNList
    */
    public DevicePdu deviceSNList(List<String> deviceSNList){
        this.deviceSNList = deviceSNList;
		return this;
    }


/**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<DevicePdu> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<DevicePdu> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<DevicePdu> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<DevicePdu> andConditionList){
        this.andConditionList = andConditionList;
    }

    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof DevicePdu) {
            DevicePdu tmp = (DevicePdu) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

            this.deviceName = "";

            this.deviceCode = "";

            this.deviceMac = "";

            this.siteId = null;

            this.siteCode = "";

            this.siteName = "";

            this.platformId = null;

            this.platformName = "";

            this.productId = null;

            this.productName = "";

            this.skinId = null;

            this.skinName = "";

            this.homeUrl = "";

            this.deviceFirmId = null;

            this.deviceFirmname = "";

            this.deviceSrc = 2;

            this.deviceDataSourceWay = 0;

            this.lon = "";

            this.lati = "";

            this.deviceInBuilding = null;

            this.deviceInFloor = null;

            this.defectsLiabilityPeriod = null;

            this.leadingOfficial = "";

            this.leadingOfficialTelephone = "";

            this.isReceiveMess = 0;

            this.devicePhotoPath = "";

            this.ip = "";

            this.centernum = "";

            this.port = "";

            this.deviceTopic = "";

            this.deviceStatus = 0;

            this.enabled = 0;

            this.deviceAuthCode = "";

            this.deviceRemark = "";

            this.onlineTime = null;

            this.offlineTime = null;

            this.deleted = 0;

            this.source = 1;

            this.deviceSN = "";
    }
}